Get contract by id
curl --request GET \
--url https://prod-api.civicmarketplace.com/v1/contracts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-api.civicmarketplace.com/v1/contracts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-api.civicmarketplace.com/v1/contracts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"suppliers": [
{
"id": "<string>",
"name": "<string>",
"states_served": [
"CA",
"TX"
],
"location": "Austin, TX",
"logo": "<string>",
"email": "[email protected]",
"website": "<string>"
}
],
"city_services": [
{
"id": "<string>",
"name": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"summary": "<string>",
"description": "<string>",
"lead_entity": {
"id": "<string>",
"name": "<string>"
},
"coop": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"message": "<string>",
"request_id": "<string>"
}
}Contracts
Get Contract
GET
/
v1
/
contracts
/
{id}
Get contract by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Contract
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

